select ob.kglnaown owner, 
       ob.kglnaobj object_name,
       s.sid,
       decode(p.kglpnmod,2,'Share',3,'Exclusive',p.kglpnmod) pin, 
       decode(p.kglpnreq,2,'Share',3,'Exclusive',p.kglpnreq) req
from x$kglob        ob,
     v$session_wait sw,
     x$kglpn        p,
     v$session      s
where ob.kglhdadr = sw.p1raw
and   p.kglpnuse  = s.saddr
and   p.kglpnhdl  = sw.p1raw
and   sw.sid      = &SID
/
